import java.awt.*;
import javax.swing.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.*;
import java.awt.image.BufferedImage;
import javax.swing.JFrame;
import java.io.*;

public class Game extends JFrame
{
	boolean isRunning = true;
	int windowWidth = 960;
	int windowHeight = 540;
	int counter = 0;
	
	Insets insets;
	Draw draw;

	public static void main(String[] args)
	{
		Game game = new Game();
		game.run();
		System.exit(0);
	
	}
	
	public void run()
	{
		initialize();
		
		while(isRunning)
		{
			long time = System.currentTimeMillis();
			
			update();
			draw();
		
		}
		
		setVisible(false);
	}
	
	void initialize()
	{
		setTitle("Game");
		setSize(windowWidth, windowHeight);
		setResizable(false);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		insets = getInsets();
		setSize(insets.left + windowWidth + insets.right, insets.top + windowHeight + insets.bottom);
		
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(dim.width/2-this.getSize().width/2, dim.height/2-this.getSize().height/2);
		
		draw = new Draw();
		
		setVisible(true);
	}
	
	void update()
	{
		counter++;
		
		if(counter > 10000)
		{
			draw.incX(1);
			counter = 0;
		}
	}
	
	void draw()
	{
		add(draw);
	}
}
